import java.io.IOException;

public class StateFileFormatException extends IOException {
    private final String fileName;
    private final long lineNum;

    public StateFileFormatException(String fileName, long lineNum) {
        super("File " + fileName + " has illegal format (line " + lineNum + ")");
        this.fileName = fileName;
        this.lineNum = lineNum;
    }

    public String getFileName() {
        return this.fileName;
    }

    public long getLineNum() {
        return this.lineNum;
    }
}
